﻿@model MapGridViewModel

<div class="text-center">
    <h1 class="display-4">Game Map</h1>
    <h2 class="text-info">Map: @Model.MapName</h2>
    <h3 class="text-info">Author: @Model.CreatedBy</h3>
</div>





<div class="col-auto">
    @for (int i = 0; i < Model.grid.GetLength(0); i++)
    {
        <div class="row"  >

            @for (int j = 0; j < Model.grid.GetLength(1); j++)
            {
            <div class="col-lg-2" style="padding-left:0rem;padding-right:0rem">
                
                @*
        <p>[ @i  @j ]</p>
        <p>@Model.grid[i, j]</p>
                *@

                @{
                    var RoomPresent = Model.GameTiles.FirstOrDefault(v => v.GameTileID == Model.grid[i, j]);
                }

                @if (RoomPresent != null)
                {

               

                    <div class="card text-center" style="border-style:solid">
                        <div class="card-header; text-sm-center">
                            @RoomPresent.RoomID - @RoomPresent.RoomName
                        </div>
                        <div class="card-body">
                            <h5 class="card-title">@RoomPresent.RoomObject</h5>
                            <p class="card-text">[ @i , @j ]</p>
                            
                        </div>
                      
                    </div>
                }
                else
                {
                    <div class="card " style="border-style:hidden">
                        <div class="card-body">
                        </div>
                    </div>
                }
                </div>

            }

        </div>
    }
</div>

<div class="text-sm-center" style="margin-top:2rem;">
    
    <p>Max Wall Hits: @Model.Maxhits </p>
    <p>Collect: @Model.MaxObjects</p>
</div>